| Fast CDR Version 2.3.5 Fast CDR

Loading...
Searching...
No Matches
Cdr::state Class Reference

This class stores the current state of a CDR serialization. More...

`#include <Cdr.h>`

## Public Member Functions

Cdr_DllAPI | state (const Cdr &cdr)
| Default constructor.
Cdr_DllAPI | state (const state &state)
| Copy constructor.
Cdr_DllAPI bool | operator== (const state &other_state) const
| Compares two states.

## Friends

class | Cdr

## Detailed Description

This class stores the current state of a CDR serialization.

## Constructor & Destructor Documentation

## ◆ state() [1/2]

Cdr_DllAPI state | ( | const Cdr & | cdr | ) |

Default constructor.

## ◆ state() [2/2]

Cdr_DllAPI state | ( | const state & | state | ) |

Copy constructor.

## Member Function Documentation

## ◆ operator==()

Cdr_DllAPI bool operator== | ( | const state & | other_state | ) | const

Compares two states.

## Friends And Related Symbol Documentation

## ◆ Cdr

friend class Cdr

friend

The documentation for this class was generated from the following file:

- include/fastcdr/Cdr.h